Pre-General Availability: 2026-02-23

Read-only Contract Query

post

/v1/besu/query

Executes an eth_call with support for encoding for functionSignature/functionArgs.

Request

Header Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Input for read-only contract query
Show Source
Nested Schema : contractAbi
Type: array
Optional ABI used to infer parameter types when functionSignature omits types (name-only). If omitted and toAddress is provided, the gateway may resolve the ABI by address when available.
Show Source
Nested Schema : DecodeOptions
Type: object
Selective decode options; flags default to false when omitted.
Show Source
Nested Schema : functionArgs
Type: array
Function arguments as strings. Scalars as plain strings; arrays/tuples as JSON strings (for example, '["1","2"]').
Show Source
Nested Schema : items
Type: object
Examples

Back to Top

Response

Supported Media Types

200 Response

eth_call executed
Body ()
Root Schema : QueryResponse
Type: object
Show Source
Nested Schema : DecodedResult
Type: object
Aggregate decoded information for the transaction or call
Show Source
Nested Schema : DecodedError
Type: object
Show Source
Nested Schema : events
Type: array
Show Source
Nested Schema : DecodedFunctionInfo
Type: object
Show Source
Nested Schema : DecodedInput
Type: object
Decoded function input arguments
Show Source
Nested Schema : DecodedMeta
Type: object
Show Source
Nested Schema : DecodedOutput
Type: object
Decoded function return values
Show Source
Nested Schema : customError
Type: object
Decoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type: object
Decoded standard Error(string) revert
Show Source
Nested Schema : standardPanic
Type: object
Decoded Panic(uint256) revert
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : DecodedArgument
Type: object
Show Source
  • Only for event parameters
  • May be empty if unknown
  • Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
  • Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)
Nested Schema : DecodedEvent
Type: object
Show Source
Nested Schema : args
Type: array
Decoded event arguments (indexed indicates topic-encoded parameter)
Show Source
Nested Schema : topics
Type: array
Log topics as 0x-hex values
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : warnings
Type: array
Non-fatal issues encountered while attempting to decode
Show Source
Nested Schema : returns
Type: array
Show Source
Examples

400 Response

Validation error or invalid input
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : DecodedError
Type: object
Show Source
Nested Schema : customError
Type: object
Decoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type: object
Decoded standard Error(string) revert
Show Source
Nested Schema : standardPanic
Type: object
Decoded Panic(uint256) revert
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : DecodedArgument
Type: object
Show Source
  • Only for event parameters
  • May be empty if unknown
  • Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
  • Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)

502 Response

Upstream Besu error
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : DecodedError
Type: object
Show Source
Nested Schema : customError
Type: object
Decoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type: object
Decoded standard Error(string) revert
Show Source
Nested Schema : standardPanic
Type: object
Decoded Panic(uint256) revert
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : DecodedArgument
Type: object
Show Source
  • Only for event parameters
  • May be empty if unknown
  • Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
  • Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)
Examples

Back to Top